diff --git a/sbin/run_integration_test.sh b/sbin/run_integration_test.sh
index 785875f9fc68b7b27da1c619e81fb4931baaef45..440cfe5506a32bc367cb5780b1a0188542b11b46 100755
--- a/sbin/run_integration_test.sh
+++ b/sbin/run_integration_test.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/bin/bash
 
 if [ -z "$LOFAR20_DIR" ]; then
     # We assume we aren't in the PATH, so we can derive our path.
@@ -43,3 +43,9 @@ sleep 60
 
 # Run the integration test with the output displayed on stdout
 docker start -a "${CONTAINER_NAME_PREFIX}"integration-test
+TEST_RESULT=$?
+
+# Print logs in case of problems
+docker logs "${CONTAINER_NAME_PREFIX}"device-sdp
+
+exit $TEST_RESULT